#include <stdio.h>

long suma(long n)
{
  long s = 0;

  while (n > 0) {
    s += n % 10;
    n /= 10;
  }
  return s;
}

long factor(long *n)
{
  long i;

  if (*n % 2 == 0) {
    *n /= 2;
    return 2;
  }
  for (i = 3; i*i <= *n; i += 2)
    if (*n % i == 0) {
      *n /= i;
      return i;
    }
  i = *n;
  *n = 1;
  return i;
}

int smith(long n)
{
  long f, sf = 0, sn;

  sn = suma(n);
  f = factor(&n);
  if (n == 1) return 0;
  do {
    sf += suma(f);
    f = factor(&n);
  } while (f > 1);
  return (sn == sf);
}

int main(void)
{
  int i, n;
  long m;

  scanf("%d", &n);
  for (i = 0; i < n; i++) {
    scanf("%ld", &m);
    do m++;
    while (!smith(m));
    printf("%ld\n", m);
  }
  return 0;
}
